Bug 1358153 (zendframework/zend-mvc-form) - Review Request: php-zendframework-zend-mvc-form - Zend Framework Mvc-Form component
Summary: Review Request: php-zendframework-zend-mvc-form - Zend Framework Mvc-Form com...
Keywords:
Status: CLOSED RAWHIDE
Alias: zendframework/zend-mvc-form
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1357393
TreeView+ depends on / blocked
 
Reported: 2016-07-20 08:03 UTC by Remi Collet
Modified: 2016-11-30 17:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-30 17:21:42 UTC
shawn: fedora-review+


Attachments (Terms of Use)
fedora-review.txt (7.02 KB, text/plain)
2016-11-27 22:57 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2016-07-20 08:03:21 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/master/php/zend/php-zendframework-zend-mvc-form/php-zendframework-zend-mvc-form.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-zendframework-zend-mvc-form-1.0.0-1.remi.src.rpm
Description: 
zend-mvc-form is a metapackage that provides a single package for installing
all packages necessary to fully use zend-form under zend-mvc, including:

* zendframework/zend-code
* zendframework/zend-form
* zendframework/zend-i18n

i18n integration: this package only requires zend-i18n, and not zend-mvc-i18n.
This is to allow providing the bare minimum required to use zend-form, as its
base view helper extends from the base zend-i18n view helper. If you want to
provide translations for your form elements, please install zend-mvc-i18n as
well.


Fedora Account System Username: remi

See https://fedoraproject.org/wiki/Changes/ZF3

Comment 2 Shawn Iwinski 2016-11-27 22:57:45 UTC
Created attachment 1225021 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1358153
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Shawn Iwinski 2016-11-27 22:59:02 UTC
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers.

===== APPROVED =====

Comment 4 Remi Collet 2016-11-28 05:26:05 UTC
Thanks.

New package request open.

Comment 5 Gwyn Ciesla 2016-11-28 14:31:15 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-zendframework-zend-mvc-form

Comment 6 Remi Collet 2016-11-30 17:21:42 UTC
Package:    php-zendframework-zend-mvc-form-1.0.0-2.fc26
Status:     complete


Note You need to log in before you can comment on or make changes to this bug.